Unity3D, VSCode, OS X and ‘The reference assemblies for framework “.NETFramework,Version=v3.5” were not found’ error

This happened to me in this environment: * OS X 10.10.5 * Unity 5.6.0b7 * VSCode 1.9.1 with C# extension 1.7.0 I had this error inside of VSCode when I opened up a Unity project: The reference assemblies for framework .NETFramework,Version=v3.5 were not found.